Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.internal.categorization.swt
Class CompositeCategorySWTTabRendererService

    java.lang.Object
      org.eclipse.emf.ecp.view.internal.categorization.swt.CompositeCategorySWTTabRendererService

All Implemented Interfaces:
  EMFFormsDIRendererService<VCategorization>

    public class CompositeCategorySWTTabRendererService

extends Object
implements EMFFormsDIRendererService<VCategorization>

CompositeCategorySWTTabRendererService which provides the CompositeCategorySWTTabRenderer.

Author:
  Eugen Neufeld

Field Summary

Fields inherited from interface org.eclipse.emfforms.spi.swt.core.di.EMFFormsDIRendererService
`NOT_APPLICABLE`

Constructor Summary
`CompositeCategorySWTTabRendererService()`

Method Summary
`Class<? extends AbstractSWTRenderer<VCategorization>>` | `getRendererClass()` Returns the `Class` for the renderer of this service.
`double` | `isApplicable(VElement vElement, ViewModelContext viewModelContext)` Check whether the provided `VElement` can be rendered by the renderer defined by `EMFFormsDIRendererService.getRendererClass()`.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompositeCategorySWTTabRendererService

    public CompositeCategorySWTTabRendererService()

Method Detail

### isApplicable

    public double isApplicable(VElement vElement,
                               ViewModelContext viewModelContext)

  Check whether the provided `VElement` can be rendered by the renderer defined by `EMFFormsDIRendererService.getRendererClass()`.

  Specified by:
    `isApplicable` in interface `EMFFormsDIRendererService<VCategorization>`
  Parameters:
    `vElement` - The `VElement` to check
    `viewModelContext` - The `ViewModelContext` to use for the renderer
  Returns:
    `EMFFormsDIRendererService.NOT_APPLICABLE` if the renderer doesn't fit, a positive value otherwise
  See Also:
    `EMFFormsRendererService.isApplicable(VElement,ViewModelContext)`

### getRendererClass

    public Class<? extends AbstractSWTRenderer<VCategorization>> getRendererClass()

  Returns the `Class` for the renderer of this service.

  Specified by:
    `getRendererClass` in interface `EMFFormsDIRendererService<VCategorization>`
  Returns:
    the `Class`
  See Also:
    `EMFFormsDIRendererService.getRendererClass()`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.